com.fasterxml.jackson.jaxrs.base

## Class JsonMappingExceptionMapper

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.base.JsonMappingExceptionMapper

All Implemented Interfaces:
  javax.ws.rs.ext.ExceptionMapper<com.fasterxml.jackson.databind.JsonMappingException>

    public class JsonMappingExceptionMapper
    extends Object
    implements javax.ws.rs.ext.ExceptionMapper<com.fasterxml.jackson.databind.JsonMappingException>

Implementation if `ExceptionMapper` to send down a "400 Bad Request" response in the event that unmappable JSON is received.

Note that `Provider` annotation was include up to Jackson 2.7, but removed from 2.8 (as per [jaxrs-providers#22]

Since:
  2.2

### Constructor Summary

Constructors
Constructor and Description
`JsonMappingExceptionMapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `toResponse(com.fasterxml.jackson.databind.JsonMappingException exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonMappingExceptionMapper

    public JsonMappingExceptionMapper()

### Method Detail

#### toResponse

    public javax.ws.rs.core.Response toResponse(com.fasterxml.jackson.databind.JsonMappingException exception)

Specified by:
  `toResponse` in interface `javax.ws.rs.ext.ExceptionMapper<com.fasterxml.jackson.databind.JsonMappingException>`